commit 64c6aae63ba5a5f2f0dbc5e90323091d253b1d22
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Jul 19 06:04:30 2024 +0100

    Fix build with Solaris compiler
    
    Broken-by: 3cee6033bae8

diff --git a/src/src/exim.h b/src/src/exim.h
index 9bf5dcdfc..c4d80c694 100644
--- a/src/src/exim.h
+++ b/src/src/exim.h
@@ -525,14 +525,18 @@ config.h, mytypes.h, and store.h, so we don't need to mention them explicitly.
 #include "path_max.h"
 #include "macros.h"
 #include "blob.h"
-#include "hintsdb.h"
+#ifndef MACRO_PREDEF
+# include "hintsdb.h"
+#endif
 #include "hintsdb_structs.h"
 #include "structs.h"
 #include "blob.h"
 #include "hash.h"
 #include "globals.h"
 #include "functions.h"
-#include "dbfunctions.h"
+#ifndef MACRO_PREDEF
+# include "dbfunctions.h"
+#endif
 #include "osfunctions.h"
 
 #ifdef EXPERIMENTAL_BRIGHTMAIL
diff --git a/src/src/hintsdb/hints_bdb.h b/src/src/hintsdb/hints_bdb.h
index 48573e907..99878a2d6 100644
--- a/src/src/hintsdb/hints_bdb.h
+++ b/src/src/hintsdb/hints_bdb.h
@@ -72,9 +72,7 @@ at DB release 4.3. */
 static inline void
 dbfn_bdb_error_callback(const DB_ENV * dbenv, const char * pfx, const char * msg)
 {
-#ifndef MACRO_PREDEF 
 log_write(0, LOG_MAIN, "Berkeley DB error: %s", msg);
-#endif
 }
 
 
